Bug 1730397 - [Hammer] The discovered hosts provision fails with error 'resource have no errors'
Summary: [Hammer] The discovered hosts provision fails with error 'resource have no er...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Discovery Plugin
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.6.0
Assignee: Lukas Zapletal
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On: 1731112
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 15:20 UTC by Jitendra Yejare
Modified: 2019-10-22 12:48 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_discovery-15.0.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:01 UTC

Description Jitendra Yejare 2019-07-16 15:20:54 UTC
Description of problem:
From Hammer, The discovered hosts provision fails with error 'resource have no errors'.

# # hammer -v  discovery provision --name="macaa20803d1e89" --hostgroup="50qtWv" --root-password="c4Rags4krv"
Could not create the host:
  resource have no errors

while the logs are saying the interface.subnet is not assigned to rog and loc but same subnet org and loc are selected in hostgroup being user for provisioning.

LogFile : http://pastebin.test.redhat.com/780339

Version-Release number of selected component (if applicable):
Satellite 6.6 snap 11

How reproducible:
Always on snap 11

Steps to Reproduce:
1. Create hostgroup, subnet to be used by discovered host.
2. Provision the pxe-based BIOS discovered host from cli using SYSLINUX loader
# hammer discovery provision --name="macaa20803d1e89" --hostgroup="50qtWv" --root-password="c4Rags4krv"
3. Check QE test for more info - https://github.com/SatelliteQE/robottelo/blob/master/tests/foreman/cli/test_discoveredhost.py#L407


Actual results:
The discovered host is failing with an error :
Could not create the host:
  resource have no errors

Expected results:
The discovered should be provisioned from satellite successfully.

Additional info:

Comment 8 Jitendra Yejare 2019-07-19 06:59:09 UTC
Looks like a fix from LZap on my satellite for bug https://bugzilla.redhat.com/show_bug.cgi?id=1731112 fixed this bug also and hence I will wait for that bug to come ON_QA.

Also, Marking this bug as the dependent of that bug.

Comment 13 errata-xmlrpc 2019-10-22 12:47:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.